## org.hibernate.service.spi
Interface SessionFactoryServiceRegistry

All Superinterfaces:
  ServiceRegistry, ServiceRegistryImplementor

All Known Implementing Classes:
  SessionFactoryServiceRegistryImpl

    public interface SessionFactoryServiceRegistry

extends ServiceRegistryImplementor

Specialized `ServiceRegistry` implementation that holds services which need access to the `SessionFactory` during initialization.

Method Summary

Methods inherited from interface org.hibernate.service.spi.ServiceRegistryImplementor
`destroy, locateServiceBinding`

Methods inherited from interface org.hibernate.service.ServiceRegistry
`getParentServiceRegistry, getService`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.